package net.northking.cctp.upperComputer.deviceManager.thread.util;

import java.nio.ByteBuffer;

public interface IIOJob {

    void write(ByteBuffer buffer);

    void markFinish();

    boolean isFinish();

    Object getAttachment();

    void setAttachment(Object attachment);
}
